package com.tzld.longarticle.recommend.server.mapper.longArticle;

import com.tzld.longarticle.recommend.server.model.dto.*;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.DatastatSortStrategy;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface LongArticleBaseMapper {

    void deleteByDateStrGreaterThanEqual(String dateStr);

    void batchInsertDatastatSortStrategy(List<DatastatSortStrategy> list);

    void batchInsertGetOffVideos(List<GetOffVideos> list);

    int batchInsertLongArticlesRootSourceId(List<LongArticlesRootSourceId> list);

    int batchInsertLongArticlesCrawlerVideos(List<LongArticlesCrawlerVideos> list);

    int batchInsertLongArticlesText(List<LongArticlesText> list);

    List<String> getLongArticlesTextByContentIds(List<String> contentIds);

    int batchInsertLongArticlesMatchVideos(List<LongArticlesMatchVideos> list);

    List<LongArticlesText> getNeedUpdateRecords();

    int updateLongArticlesText(LongArticlesText item);

    List<LongArticlesRootSourceId> getLongArticlesRootSourceId(List<String> rootSourceIdList);

    List<GetOffVideos> getGetOffVideos(List<Long> videoIds);

    List<LongArticlesMatchVideos> getLongArticlesMatchVideos(List<String> traceIds);
}
